<template>
  <div>
    <div v-if="isLoading" class="loader-center">
      <Loader :display="true" />
    </div>
    <template v-else>
      <PageHeader />
      <Nuxt />
      <PageFooter />
    </template>
  </div>
</template>

<script>
import Loader from '~/components/ui/Loader'

export default {
  components: { Loader },
  // invoked every time the page changes
  // calls "preloadUser" inside
  middleware: ['preload-user-data'],

  data() {
    return {
      isLoading: false
    }
  },

  computed: {
    aboArea() {
      return this.$route.path.indexOf('/abo') > 0
    },
    ui() {
      return this.$store.state.auth &&
        this.$store.state.auth.loggedIn &&
        this.$store.state.auth.user
        ? this.$store.state.auth.user
        : {}
    },
    userSubscribed() {
      return 'hasActiveClassicSubscription' in this.ui
        ? this.ui.hasActiveClassicSubscription
        : false
    }
  },

  head() {
    return {
      title: 'izneo',
      meta: [
        {
          hid: 'description',
          name: 'description',
          content: this.$t('meta.pageHome')
        }
      ]
    }
  }
}
</script>

<style lang="scss" scoped>
.loader-center {
  display: flex;
  align-items: center;
  height: 100vh;
}
</style>
